| helics 3.6.1

Public Member Functions | List of all members
helics::InterfaceInfo Class Reference

`#include <InterfaceInfo.hpp>`

## Public Member Functions
const PublicationInfo * | getPublication (const std::string &pubName) const
const PublicationInfo * | getPublication (InterfaceHandle handle) const
PublicationInfo * | getPublication (const std::string &pubName)
PublicationInfo * | getPublication (InterfaceHandle handle)
const InputInfo * | getInput (const std::string &inputName) const
const InputInfo * | getInput (InterfaceHandle handle) const
InputInfo * | getInput (const std::string &inputName)
InputInfo * | getInput (InterfaceHandle handle)
const EndpointInfo * | getEndpoint (const std::string &endpointName) const
const EndpointInfo * | getEndpoint (InterfaceHandle handle) const
EndpointInfo * | getEndpoint (const std::string &endpointName)
EndpointInfo * | getEndpoint (InterfaceHandle handle)
void | createPublication (InterfaceHandle handle, std::string_view key, std::string_view type, std::string_view units, std::uint16_t flags)
void | createInput (InterfaceHandle handle, std::string_view key, std::string_view type, std::string_view units, std::uint16_t flags)
void | createEndpoint (InterfaceHandle handle, std::string_view endpointName, std::string_view type, std::uint16_t flags)
auto | getEndpoints ()
auto | getPublications ()
auto | getInputs ()
auto | getEndpoints () const
auto | getPublications () const
auto | getInputs () const
auto | cgetEndpoints () const
auto | cgetPublications () const
auto | cgetInputs () const
void | setGlobalId (GlobalFederateId newglobalId)
void | setChangeUpdateFlag (bool updateFlag)
bool | getChangeUpdateFlag () const
bool | setInputProperty (InterfaceHandle hid, int32_t option, int32_t value)
bool | setPublicationProperty (InterfaceHandle hid, int32_t option, int32_t value)
bool | setEndpointProperty (InterfaceHandle hid, int32_t option, int32_t value)
int32_t | getInputProperty (InterfaceHandle hid, int32_t option) const
int32_t | getPublicationProperty (InterfaceHandle hid, int32_t option) const
int32_t | getEndpointProperty (InterfaceHandle hid, int32_t option) const
std::vector< std::pair< int, std::string > > | checkInterfacesForIssues ()
void | generateInferfaceConfig (nlohmann::json &base) const
void | generateDataFlowGraph (nlohmann::json &base) const
void | getUnconnectedInterfaces (nlohmann::json &base) const
void | reset ()
void | disconnectFederate (GlobalFederateId fedToDisconnect, Time disconnectTime)

## Detailed Description

generic class for holding information about interfaces for a core federate structure

## Member Function Documentation

## ◆ checkInterfacesForIssues()

std::vector< std::pair< int, std::string > > helics::InterfaceInfo::checkInterfacesForIssues | ( |  | ) |

check the interfaces for specific issues

## ◆ disconnectFederate()

void helics::InterfaceInfo::disconnectFederate | ( | GlobalFederateId | fedToDisconnect,
|  | Time | disconnectTime
| ) |  |

disconnect a federate from communications

References helics::cBigTime.

## ◆ generateDataFlowGraph()

void helics::InterfaceInfo::generateDataFlowGraph | ( | nlohmann::json & | base | ) | const

load a dependency graph for the interfaces

## ◆ generateInferfaceConfig()

void helics::InterfaceInfo::generateInferfaceConfig | ( | nlohmann::json & | base | ) | const

generate a configuration script for the interfaces

## ◆ getChangeUpdateFlag()

bool helics::InterfaceInfo::getChangeUpdateFlag | ( |  | ) | const
| inline

get the current value of the change update flag

## ◆ getInputProperty()

int32_t helics::InterfaceInfo::getInputProperty | ( | InterfaceHandle | hid,
|  | int32_t | option
| ) |  | const

get properties for an interface

## ◆ getUnconnectedInterfaces()

void helics::InterfaceInfo::getUnconnectedInterfaces | ( | nlohmann::json & | base | ) | const

generate a list of unconnected interfaces

## ◆ reset()

void helics::InterfaceInfo::reset | ( |  | ) |

reset the interfaceInfo to a new state

Referenced by helics::FederateState::reset().

## ◆ setChangeUpdateFlag()

void helics::InterfaceInfo::setChangeUpdateFlag | ( | bool | updateFlag | ) |

set the change update flag which controls when a subscription is updated

## ◆ setGlobalId()

void helics::InterfaceInfo::setGlobalId | ( | GlobalFederateId | newglobalId | ) |
| inline

set the global id of the federate for use in the interfaces

## ◆ setInputProperty()

bool helics::InterfaceInfo::setInputProperty | ( | InterfaceHandle | hid,
|  | int32_t | option,
|  | int32_t | value
| ) |  |

set a property on a specific interface

The documentation for this class was generated from the following files:

- InterfaceInfo.hpp
- InterfaceInfo.cpp